//--- INIT ---
// --- Buttons
// all buttons have this main configs...
function mainBttnConfigs() {
  return ({
    fillC: "#e0145b",
    fillCA: "#d0a5de",
    strokeC: "red",
    strokeCA: "red",
    textC: "white",
    textCA: "black",
    paddingLeft: 10,
    paddingTop: 30,
    font: "30px Arial",
    h: 50
  })
};

var mainBttn = new Button(mainBttnConfigs); 

// sound buttons level
function soundBttnConfigs(props) {
  return ({
    fillC: "#e0145b",
    fillCA: "#d0a5de",
    strokeC: "red",
    strokeCA: "red",
    textC: "white",
    textCA: "black",
    paddingLeft: 5,
    paddingTop: 35,
    font: "30px Arial",
    x: 15,
    h: 50,
    y: 580,
    w: 150,
    text: "Sound "+props.text,
    newVal: props.newVal,
    oldVal: props.oldVal
  });
}
var soundBttnOn = new Button(
  soundBttnConfigs({text: "On", newVal: true, oldVal: false})
); 
var soundBttnOff = new Button(
  soundBttnConfigs({text: "Off", newVal: false, oldVal: true})
); 


var resetGameBttn = new Button({
  fillC: "#e0145b",
    fillCA: "#d0a5de",
    strokeC: "red",
    strokeCA: "red",
    textC: "white",
    textCA: "black",
    paddingLeft: 10,
    paddingTop: 60,
    font: "50px Arial",
    x: 100,
    y: 530,
    h: 90,
    w: 330,
    text: "Play again", 
    newVal: true, 
    oldVal: false
  }
); 

var nextGameBttn = new Button({
  fillC: "#e0145b",
    fillCA: "#d0a5de",
    strokeC: "red",
    strokeCA: "red",
    textC: "white",
    textCA: "black",
    paddingLeft: 10,
    paddingTop: 60,
    font: "50px Arial",
    x: 100,
    y: 350,
    h: 90,
    w: 620,
    text: "Please click here for part 1", 
    newVal: true, 
    oldVal: false
  }
); 
var copyLinkBttn = new Button({
  fillC: "#e0145b",
    fillCA: "#d0a5de",
    strokeC: "red",
    strokeCA: "red",
    textC: "white",
    textCA: "black",
    paddingLeft: 10,
    paddingTop: 30,
    font: "20px Arial",
    x: 100,
    y: 450,
    h: 50,
    w: 750,
    text: "Or click to copy the link: https://wetpussygames.com/adult-games/kinky-two.html", 
    newVal: true, 
    oldVal: false
  }
); 

// --- Fade
//for main fading in (change between lvl and progress)
var fade = new Fade({progress: 100, speed: 4});
